org.eclipse.wst.jsdt.core.manipulation

## Class JavaScriptManipulation

- java.lang.Object
- - org.eclipse.wst.jsdt.core.manipulation.JavaScriptManipulation

    public class JavaScriptManipulation
    extends java.lang.Object

Central access point for the Java Manipulation plug-in (id `"org.eclipse.wst.jsdt.manipulation"`). Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static java.lang.String` `ID_PLUGIN` The id of the Java Manipulation plug-in (value `"org.eclipse.wst.jsdt.manipulation"`).

### Constructor Summary

Constructors
Constructor and Description
`JavaScriptManipulation()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ID_PLUGIN

    public static final java.lang.String ID_PLUGIN

The id of the Java Manipulation plug-in (value `"org.eclipse.wst.jsdt.manipulation"`).

See Also:
  Constant Field Values

### Constructor Detail

#### JavaScriptManipulation

    public JavaScriptManipulation()